//
//  GroupHandler.h
//  UsenetEngine
//
//  Created by Ger Teunis on 08-07-11.
//  Copyright (c) 2013 VortexApps. All rights reserved.
//

#import <Foundation/Foundation.h>
@class DownloadGroup;
@class NZB;

@interface DownloadGroupsHandler : NSObject {
@private
    NSMutableArray *downloadGroups;
    NSObject *changeEventKVO;
}

@property (nonatomic, retain) NSMutableArray *downloadGroups;
@property (nonatomic, retain) NSObject *changeEventKVO;

-(void)triggerChanged;
-(void)autoMatchNZB:(NZB*)nzb;
-(DownloadGroup*)getGroupByUUID:(NSString*)uuid;
-(DownloadGroup*)getGroupByName:(NSString*)name;
-(void)saveInDictionary:(NSMutableDictionary*)settings;
-(id)initFromDictionary:(NSDictionary*)settings;
-(void)unsandboxSecurityBookmarks;

@end
